using System.Collections.Generic;
using System.Runtime;
using AAIntegration.SimmonsBank.API.Services;

namespace AAIntegration.SimmonsBank.API.Models.Transactions;

public class TransactionDto
{
    public int Id { get; set; }
    public DateTime Date { get; set; }
    public DateTime CreatedOn { get; set; }
    public DateTime UpdatedOn { get; set; }
    public string ExternalId { get; set; }
    public string Description { get; set; }
    public int DebitAccountId { get; set; }
    public int CreditAccountId { get; set; }
    public decimal Amount { get; set; }
    public bool IsPending { get; set; }
}